summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.7.8.ebuild')
-rw-r--r--x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.7.8.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.7.8.ebuild b/x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.7.8.ebuild
new file mode 100644
index 000000000000..21f5f57e9d76
--- /dev/null
+++ b/x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.7.8.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit linux-info xorg-2
+
+DESCRIPTION="Driver for Synaptics touchpads"
+HOMEPAGE="http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/"
+
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="sys-libs/mtdev
+ >=x11-base/xorg-server-1.12
+ >=x11-libs/libXi-1.2
+ >=x11-libs/libXtst-1.1.0"
+DEPEND="${RDEPEND}
+ >=sys-kernel/linux-headers-2.6.37
+ >=x11-proto/inputproto-2.1.99.3
+ >=x11-proto/recordproto-1.14"
+
+DOCS=( "README" )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.7-glibc-2.20.patch
+)
+
+pkg_pretend() {
+ linux-info_pkg_setup
+ # Just a friendly warning
+ if ! linux_config_exists \
+ || ! linux_chkconfig_present INPUT_EVDEV; then
+ echo
+ ewarn "This driver requires event interface support in your kernel"
+ ewarn " Device Drivers --->"
+ ewarn " Input device support --->"
+ ewarn " <*> Event interface"
+ echo
+ fi
+}